Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Syntax.Parser.Tokens

# Documentation

data Token #

Constructors

TokKeyword Keyword Interval |
TokId (Interval, String) |
TokQId [(Interval, String)] |
TokLiteral Literal |
TokSymbol Symbol Interval |
TokString (Interval, String) |
TokSetN (Interval, Integer) |
TokTeX (Interval, String) |
TokComment (Interval, String) |
TokDummy |
TokEOF |

Instances

Eq Token # |
Methods (==) :: Token -> Token -> Bool # (/=) :: Token -> Token -> Bool #
Show Token # |
Methods showsPrec :: Int -> Token -> ShowS # show :: Token -> String # showList :: [Token] -> ShowS #
HasRange Token # |
Methods getRange :: Token -> Range #

data Keyword #

Constructors

KwLet |
KwIn |
KwWhere |
KwData |
KwCoData |
KwPostulate |
KwMutual |
KwAbstract |
KwPrivate |
KwInstance |
KwOverlap |
KwOpen |
KwImport |
KwModule |
KwPrimitive |
KwMacro |
KwInfix |
KwInfixL |
KwInfixR |
KwWith |
KwRewrite |
KwSet |
KwProp |
KwForall |
KwRecord |
KwConstructor |
KwField |
KwInductive |
KwCoInductive |
KwEta |
KwNoEta |
KwHiding |
KwUsing |
KwRenaming |
KwTo |
KwPublic |
KwOPTIONS |
KwBUILTIN |
KwLINE |
KwCOMPILED_DATA |
KwCOMPILED_DECLARE_DATA |
KwCOMPILED_TYPE |
KwCOMPILED |
KwCOMPILED_EXPORT |
KwHASKELL |
KwCOMPILED_EPIC |
KwCOMPILED_JS |
KwCOMPILED_UHC |
KwCOMPILED_DATA_UHC |
KwIMPORT |
KwIMPORT_UHC |
KwIMPOSSIBLE |
KwSTATIC |
KwINLINE |
KwNO_TERMINATION_CHECK |
KwTERMINATING |
KwNON_TERMINATING |
KwMEASURE |
KwDISPLAY |
KwREWRITE |
KwQuoteGoal |
KwQuoteContext |
KwQuote |
KwQuoteTerm |
KwUnquote |
KwUnquoteDecl |
KwUnquoteDef |
KwSyntax |
KwPatternSyn |
KwTactic |
KwCATCHALL |
KwNO_POSITIVITY_CHECK |
KwPOLARITY |

Instances

Eq Keyword # |
Methods (==) :: Keyword -> Keyword -> Bool # (/=) :: Keyword -> Keyword -> Bool #
Show Keyword # |
Methods showsPrec :: Int -> Keyword -> ShowS # show :: Keyword -> String # showList :: [Keyword] -> ShowS #

layoutKeywords :: [Keyword] #

data Symbol #

Constructors

SymDot |
SymSemi |
SymVirtualSemi |
SymBar |
SymColon |
SymArrow |
SymEqual |
SymLambda |
SymUnderscore |
SymQuestionMark |
SymAs |
SymOpenParen |
SymCloseParen |
SymOpenIdiomBracket |
SymCloseIdiomBracket |
SymDoubleOpenBrace |
SymDoubleCloseBrace |
SymOpenBrace |
SymCloseBrace |
SymOpenVirtualBrace |
SymCloseVirtualBrace |
SymOpenPragma |
SymClosePragma |
SymEllipsis |
SymDotDot |
SymEndComment | A misplaced end-comment "-}".

Instances

Eq Symbol # |
Methods (==) :: Symbol -> Symbol -> Bool # (/=) :: Symbol -> Symbol -> Bool #
Show Symbol # |
Methods showsPrec :: Int -> Symbol -> ShowS # show :: Symbol -> String # showList :: [Symbol] -> ShowS #